package com.romhay.chatter.permissions

import android.annotation.TargetApi
import android.app.Activity
import android.os.Build
import androidx.core.app.ActivityCompat

class PermissionsRequest internal constructor(private val id: Int, private val permissions: Array<String>, private val activity: Activity) {
    @TargetApi(Build.VERSION_CODES.M)
    fun execute() {
        activity.requestPermissions(permissions, id)
    }
}